# QboxS10 固件

## 版本号：QboxS10_V1.1.6_20220923.bin
## 发布人：苏龙杰

## 固件说明:
  1. 生产刷机固件，如：QboxS10_V1.1.6_20220923.bin
  2. OTA无线升级固件,如：QboxS10_OTA_V1.1.6_20220923.bin
  3. 生产PCBA测试固件，如：QboxS10_Factory_Test_20220105.bin

## 发行记录

### V1.1.6 RC1

#### Time：2022.09.23
 1. 解决使用WiFi通道登录运维平台正式服务器升级不了固件的问题

### V1.1.5 RC1

#### Time：2022.08.26
 1. 解决设备上电识别F9P模块模块失败导致无法定位的问题

### V1.1.4 RC3

#### Time：2022.08.05
 1. 未注册的设备或设备过期的设备获取到注册码注册成功后播报“设备注册成功”

### V1.1.4 RC2

#### Time：2022.08.04
 1. 接入运维平台,开机升级平台固件,根据固件更新时期判定版本高低,只能低版本升级到高版本
 2. 接入运维平台,开机便获取Cors配置信息和注册码并更新到设备
 3. 修改运维平台升级固件的语音播报

### V1.1.4 RC1

#### Time：2022.07.29
 1. 接入运维平台,查询最新固件信息,更新升级平台最新固件
 2. 接入运维平台,获取平台注册码和设备Cors配置信息并更新
 3. 修改中移动差分功能语音播报逻辑和内容

### V1.1.3 RC2

#### Time：2022.07.11
 1. 修复使用手簿差分功能蓝牙数据异常的问题

### V1.1.3 RC1

#### Time：2022.07.08
 1. 修复使用中移动差分功能时数据解密失败的问题
### V1.1.2 RC1

#### Time：2022.07.06
 1. 更新功能,设备开机,与运维平台交互获取更新S10固件

### V1.1.1 RC1

#### Time：2022.07.05
 1. 移动站设置-中移动差分功能,修改挂载点设置,适配更多接口

### V1.1.0 RC2

#### Time：2022.06.29
 1. 设置小基站功能(连接/断开)的时候,不再播报语音,mqtt设置保持语音播报

### V1.1.0 RC1

#### Time：2022.06.23
 1. mqtt单连接接收差分主题,兼容(4G/WiFi)通道
 2. mqtt双连接(一个位置上传,一个差分数据接收),兼容(4G/WiFi)通道
 3. 增加mqtt播报立即停止功能
 4. 适配南瑞服务器,mqtt位置上传报文增加,解状态信息
 5. 解决4G模块接收数据存在的问题(无法接收到重启指令)
 6. 中移动差分功能,兼容(4G/WiFi)通道
 7. 梦芯模块输出频率适配
 8. 解决开机之后误识别到梦芯模块导致无法定位的问题

### V1.0.0 RC6

#### Time：2022.04.25
 1. 修复分ZHD单基站差分配置分组号大于65535异常问题;

### V1.0.0 RC5

#### Time：2022.04.09
 1. 修复mqtt推送同一个主题异常问题；
 2. 优化电量检测；

### V1.0.0 RC4

#### Time：2022.03.30
 1. 修复使用外网环境时切换mqtt通道类型(wifi/4G)出现重启的问题；
 2. 新增兼容梦芯模块；
 3. 新增兼容铁路云平台,实现坐标上传,远程注册/配置差分账号功能；
 4. 修复配置不能连接的wifi网络地址导致内存泄漏引起的重启问题；
 5. 修复wifi未连接,信号强度不为0问题;
 6. 添加铁路平台登陆状态语音提示；
 7. 修复[10840]bug,防止出现小数点后两位的时间；
 8. 添加时间异常保护，防止出现时间跳回1971年[10671]bug;
 9. 更改mqtt设备类型协议 dev_type为“11”；
 10. 加强机身号和注册码异常保护；
 11. 关机电压改为3.15V；
 12. 取消mqtt下发文字抢占模式，改为排队模式，支持等待播报文字长度超3000以上；
 13. 电量测量改为5刻度，优化充放电电量指示效果；
 14. 修复MQTT下发中文标点符号播报出现ex ox等异常问题；
 15. 增加Qbox15设备类型支持,对应蓝牙号改为(Qbox15+机身号)；
 16. 增加gga到cors服务器间隔设置，达到浮动或固定解后改为设置间隔上传；
 17. wifi mqtt接收最大包为4K大小；
 18. 优化GNSS和蓝牙缓冲区内存分配；
 19. 优化配置错误mqtt地址时的语音流畅度，解决[10851]bug;
 20. 优化OTA固件升级提示，在重启前提示；
 21. 修复切换服务器通道异常问题，优化了升级任务恢复；

### V1.0.0 RC3

#### Time：2022.03.17
 1. 优化cors和mqtt同时为4G网络通道时，获取源节点成功率不高问题；
 2. 优化系统内存分配和任务优先级；
 3. 添加开始升级OTA固件时按键事件播报“正在升级固件，请稍等”提示；
 4. 蓝牙最大连接数限制为1，修复被其他手机抢连问题；
 5. 优化4G通道的mqtt丢点问题,修复数据偶尔异常问题；
 6. 新增插卡超过35秒不联网提示一次"移动网络注册失败"；
 7. 新增移动网络注册约2分钟超时重启模块提示“重新初始化网络模块”,连续重启两次不联网不再重启；
 8. 新增隐藏功能-连击5次以上，播报系统状态，mqtt，cors，wifi，移动网络，蓝牙信息；
 9. 添加网络模块异常恢复检测；
 10. 优化SIM卡热插拔联网检测识别速度；
 11. 添加nmea数据解码校验，解决时间偶尔出错问题；
 12. 优化4G MQTT数据上传，解决4G 1HZ频率偶尔丢点问题；
 13. 新增任务看门狗异常监控；
 14. 新增TF卡 升级ublox固件功能,添加升级状态提示；
 15. 优化按键关机逻辑,播报超时自动关机；
 16. 优化工厂模式测试时间，修复4G模块测试异常；
 17. 修复重启4G模块时导致配置的音量值无效问题；
 18. 修改音量最大配置为4段；
 19. 优化充电中插拔充电器，电量跳动问题,解决[10626][10633]bug；
 20. 新增无线充电约30秒后自动关机；
 21. 优化插着充电器开机的电量检测；
 22. 新增机身号和注册码异常恢复功能，解决EEPROM 初始化问题；
 23. 修复刷机马上进入工厂模式引起的异常；
 24. 优化4G通道mqtt重联和推送机制，优化语音播报的延迟问题,可以稳定传输5Hz；
 25. 优化语音抢占异常问题，保证抢占正常播报；

 ### V1.0.0 RC2

#### Time：2022.03.03
 1. 添加路由网关配置功能；
 2. 重调4G MQTT接收解码，修复接收丢数据；
 3. 取消开机基站定位；
 4. 修复mqtt告警语音异常问题；
 5. 添加不使用4G上网功能时断网播报“移动网络已断开”；
 6. 添加重新插SIM卡时注册失败首次播报“移动网络注册失败”；
 7. 优化电量检测，防止出现在关机后开机电量依然在25%以上【10481】bug；
 8. 优化充放电时的电量检测；
 9. 优化无线充电误报问题；
 10. 默认配置ublox输出nmea 4.1版本数据和使能高精度模式，gga精确到小数点后7位；
 11. 电量和网络强度等信息改为设备主动发给GNSS Tools，避免丢点；
 12. 修改南瑞mqtt的连接方式为tcp协议；
 13. 新增支持SIM卡热插拔功能(要求4G模块软件版本为EC600NCNLAR03A06M08以上版本)；
 14. 去除正在充电时电量过低告警播报；
 15. 优化SD卡热插播检测，添加异常滤波处理；
 16. 关闭SBAS星系，防止出现sbas和伪距解解码混乱问题；
 17. 解决4G模块新固件引起的各种问题；
 18. 修复使用内置ZHD方式差分无效问题；
 19. 添加工厂PBCA测试功能；
 20. 优化系统时间解码更新；
 21. 添加低电量时插着充电器允许开机;

 ### V1.0.0 RC1

#### Time：2022.01.24
 1. 优化开机指示灯指示，关机状态下长按一秒由红变绿灯，进入正常开机；
 2. 优化TF卡插入检测，优化偶尔读取错误；
 3. 优化无线充电检测，解决在无线充电移除的情况下误判为无线充电已完成的问题；

 ### V0.0.6

#### Time：2022.01.22
 1. 修复新4G模块音频文件初始化异常的问题,修复wifi状态变化不播报问题;
 2. 修复4G mqtt数据接收偶尔丢失问题;
 3. 修正无线充电充满电播报异常问题;
 4. 修复没有差分领期的差分解卫星绿灯不长亮问题;
 5. 添加SD初始化检测和语音播报,支持热插播；
 6. 音频功放改为0.8W，优化破音；
 7. 调整4G MQTT网络异常重联机制，断连播报；

 ### V0.0.5

#### Time：2022.01.21
 1. 设备过期后按键事件播报“设备已过期”；
 2. 优化4G mqtt的数据收发，禁止数据回显,数据丢失优化；
 3. 兼容满天星云电力云平台标准版（安全帽标准版）平台；
 4. 优化nmea数据蓝牙发送，防止数据被中断;
 5. 指示灯和模式检测适配新版PCBA；
 6. 解决4G通道MQTT消息接收丢数据问题；
 7. 优化4G内置差分源节点获取失败解决问题；
 8. 修正升级引起音频不播报问题；
 9. 修正某些设备刷机不断重启问题;
 10. 刷机自动复位开机;
 11. 添加无线充电充满电之后播报充电完成播报;
 
 ### V0.0.4

#### Time：2022.01.18
 1. 调整测量电压偏差，修复低压告警音频错误;
 2. 修复eeprom的写入错误问题；
 3. 由ble蓝牙切换为经典蓝牙；
 4. 重构4G模块mqtt断开重联逻辑；
 5. 添加当前网络信息查询(2/3/4G)；
 6. 修正接收差分数据时还是单点的LED指示错误问题；
 7. 添加开机启动基站定位一次；
 8. 修复升级路径引起的wifi名称显示异常问题；
 9. 添加各个输入参数长度限制；
 
 ### V0.0.3

#### Time：2022.01.07
 1. 添加gga语句和位置上传频率配置(10S、5S、2S、1Hz、2Hz、5Hz、10Hz)；
 2. 调整关机和差分数据接收时的LED灯闪烁效果；
 3. 添加长按1S开机，开机时检测电量低于3.4V时，红灯闪烁2次自动关机；
 4. 添加电压低于3.4V，绿灯灭红灯闪烁，播报完“设备即将关机”后关机功能；
 5. 修复4G网络通道mqtt-ws方式登录失败时误报“mqtt登陆成功”问题；
 6. 添加外部eeprom储存系统配置参数；
 7. 添加电量低于3.45V后播报“电池电量过低，请及时充电”，一分钟循环播报，总共5次；
 8. 重构nmea解码，修正定位数据解码偶尔异常问题；
 9. 修正连接错误wifi，信号强度不为0问题；
 10. 修复4G内置差分获取不到源节点问题；
 11. 添加固件升级失败播报和运行恢复；
 12. 添加SIM卡手机号检测；
 13. 添加sim卡注册失败首次播报“移动网络注册失败”；
 14. 添加亿榕mqtt带时间戳协议兼容(MQ-STD-1.1)；
  